> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cuddles.care/llms.txt
> Use this file to discover all available pages before exploring further.

# List all receipts

> Gets the list of all receipts



## OpenAPI

````yaml GET /receipts
openapi: 3.0.1
info:
  title: Cuddles API v1
  description: Cuddles v1 Receipt stable
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.cuddles.care/v1
security:
  - bearerAuth: []
paths:
  /receipts:
    get:
      description: Gets the list of all receipts
      parameters:
        - name: page
          in: query
          description: Page number of the list
          schema:
            type: integer
            default: 1
            minimum: 1
        - name: size
          in: query
          description: Number of records to return per page
          schema:
            type: integer
            default: 10
            maximum: 100
            minimum: 1
      responses:
        '200':
          description: List of all receipts
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReceiptArray'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ReceiptArray:
      type: object
      properties:
        total:
          type: integer
          example: 12
          description: Total count of the matched records
        data:
          type: array
          description: Array of receipt records
          items:
            type: object
          example:
            - selectedPet:
                id: 08964e36-4233-439c-8001-2ec580191d2a
                type: petDog
                petName: Goldie Pup
                petType: petDog
                species: Dog
              orderNumber: 51D4PK
              selectedOrder:
                items:
                  service1:
                    service: Bordetella Vaccine - House Visit
                    price: '95.00'
                    preAuthChargeInFormat: '0.00'
                    qty: 1
                    tax: '3.80'
                    preAuthChargeTaxInFormat: '0.00'
                    preAuthChargeTax: 0
                    total: 95
                    preAuthChargeTotal: 0
                    imageUrl: >-
                      https://d24s7ywwar9ske.cloudfront.net/57b226ba-ded5-4244-a3f0-57cb642d07f2
                    totalInFormat: '95.00'
                    preAuthChargeTotalInFormat: '0.00'
                    selectedService:
                      id: c62b82c7-8876-4462-b195-54599ff7e475
                      type: houseVisit
                    itemType: Service
                    serviceName: Bordetella Vaccine - House Visit
                subTotal: $95.00
                totalTax: $3.80
                totalAmount: $98.80
                preAuthChargeSubTotal: $0.00
                totalPreAuthChargeTax: $0.00
                totalPreAuthChargeAmount: $0.00
                invoiceNumber: 1DZ7W5
                orderNumber: 51D4PK
                orderDate: '2024-11-20T01:27:18+05:30'
                id: 55511689-6887-49bc-a2f8-7453026bfb9a
              invoiceNumber: 1DZ7W5
              invoiceType: Receipt
              externalType: Appointment
              createdDate: '2024-11-20'
              invoiceDate: '2024-11-20'
              invoiceTime: '01:27:20'
              estimateNumber: null
              estimatedDate: null
              estimatedTime: null
              selectedEstimate: null
              paymentDue: 0
              subTotal: '95.00'
              taxAmount: '3.80'
              invoiceTotal: '98.80'
              services:
                service1:
                  service: Bordetella Vaccine - House Visit
                  price: '95.00'
                  preAuthChargeInFormat: '0.00'
                  qty: 1
                  tax: '3.80'
                  preAuthChargeTaxInFormat: '0.00'
                  preAuthChargeTax: 0
                  total: 95
                  preAuthChargeTotal: 0
                  imageUrl: >-
                    https://d24s7ywwar9ske.cloudfront.net/57b226ba-ded5-4244-a3f0-57cb642d07f2
                  totalInFormat: '95.00'
                  preAuthChargeTotalInFormat: '0.00'
                  selectedService:
                    id: c62b82c7-8876-4462-b195-54599ff7e475
                    type: houseVisit
                  itemType: Service
                  serviceName: Bordetella Vaccine - House Visit
              from:
                location:
                  streetAddress: 3007 Green Fields Dr
                  aptSuiteOther: null
                  city: Sugar Land
                  state: Texas
                  country: USA
                  zip: '77479'
                businessName: Oyster Creek Animal Hospital
                phone:
                  main: '+18328156279'
                  fax: '+18328156279'
                email:
                  work: provider.aimyth@gmail.com
              to:
                location:
                  streetAddress: 3007 Green Fields Dr
                  aptSuiteOther: null
                  city: Sugar Land
                  state: Texas
                  zip: '77479'
                  country: USA
                  neighborhood: Colony Bend
                  county: Fort Bend County
                  zipSuffix: '1808'
                firstName: Donald
                lastName: Burton
                phone:
                  home: '+919110466718'
                  work: '+18328156279'
                email:
                  main: donald.burton0906@gmail.com
              status: Paid
              selectedAppointment:
                appointmentType: House Call
                selectedPractice:
                  id: oyster_creek_prac
                  type: practice
                  businessName: Oyster Creek Animal Hospital
                selectedServices:
                  service1:
                    id: c62b82c7-8876-4462-b195-54599ff7e475
                    type: houseVisit
                    title: Bordetella Vaccine - House Visit
                  service2:
                    key: null
                    zip: Sugar Land, TX 77479
                    title: Vitals
                    priceInWords: $ 0
                    durationInWords: 5 mins
                    taxVariant: Fixed
                    tax: 0
                    description: >-
                      <p>It’s important to know the basics when it comes to your
                      pet’s vital signs. This can help you assess your pet in an
                      emergency situation and better prepare you for sharing
                      important information with your primary veterinarian. The
                      three main vitals to assess are: heart rate, respiratory
                      rate and temperature.</p>
                    adv:
                      veterinarians:
                        zip: null
                        gender:
                          Male: false
                          Female: false
                        firstName: null
                        lastName: null
                      practices:
                        zip: null
                        areEmergenciesWelcomed: false
                        hasEveningHours: false
                        hasExclusiveAppointmentTimeForCats: false
                        hasHouseVisits: false
                        hasWeekendHours: false
                        isExclusiveForCats: false
                        isPracitceTourAllowed: false
                        name: null
                        workingDays:
                          mon: false
                          tue: false
                          wed: false
                          thu: false
                          fri: false
                          sat: false
                          sun: false
                      services:
                        name: null
                      clients:
                        zip: null
                        firstName: null
                        lastName: null
                        gender:
                          Male: false
                          Female: false
                      patients:
                        zip: null
                        gender:
                          Male: false
                          Female: false
                        petName: null
                    species:
                      - Ferret
                      - Cat
                      - Dog
                      - Amphibian
                      - Hedgehog
                      - Reptile
                      - Rabbit
                      - Rodent
                      - Bird
                    category:
                      - Physical Exam
                    subCategory:
                      - Physical Exams
                    medicalRecordTypes:
                      - Vitals
                    price:
                      UoM: $
                      variant: fixed
                      values:
                        lte: 0
                        gte: 0
                    duration:
                      UoM: mins
                      variant: fixed
                      values:
                        lte: 5
                        gte: 5
                    clickBtnId: btnSave
                    images:
                      primary:
                        id: 53e6f705-fb7c-4984-85dd-cc2aae31f386
                        type: image
                        mimeType: image/jpeg
                        name: vitals.jpeg
                    geoLocation:
                      lat: 29.5950077
                      lon: -95.6510327
                    businessName: Oyster Creek Animal Hospital
                    selectedPractice:
                      id: oyster_creek_prac
                      type: practice
                      businessName: Oyster Creek Animal Hospital
                    isPublished: false
                    isPublic: true
                    externalType: Internal Service
                    type: internalService
                    sysData:
                      sysTenant: QeXPStfFG
                      sysDomainType: vetservice
                      sysCreatedBy: auth0|6350ed2ba12752ff48fd3136
                      sysCreatedDate: '2023-07-13T06:07:54.840+00:00'
                      sysModBy: auth0|6350ed2ba12752ff48fd3136
                      sysModDate: '2024-09-10T18:38:05.301+00:00'
                      sysLocale: en_US
                    id: 41008142-2211-42c4-8c8f-46a74914d6b0
                    practice:
                      businessName: Oyster Creek Animal Hospital
                      id: oyster_creek_prac
                      type: practice
                    preAuthorizationCharge: 0
                    medianPrice: 0
                    extraChargesOnWeekend: 0
                    performedBy:
                      - Vet Tech
                selectedVeterinarian:
                  id: oyster_vet6
                  type: vetSpecialist
                  firstName: Laura
                  lastName: Francis
                  fullName: Dr. Laura Francis
                appointmentDate: '2024-11-22T00:00:00-06:00'
                startTime: '2024-11-22T10:45:00-06:00'
                endTime: '2024-11-22T22:25:00+05:30'
                timeZone: null
                paymentDetails:
                  id: pm_1Pngh3FqoVWwtVye7KmBryXG
                  billingDetails:
                    address:
                      streetAddress: ''
                      city: ''
                      state: ''
                      country: US
                      zip: '08536'
                    email: ''
                    name: ''
                    phone: ''
                  card:
                    brand: visa
                    country: US
                    expMonth: 10
                    expYear: 2026
                    funding: credit
                    last4: '4242'
                  created: 1723639969
                  sysData: {}
                  type: paymentMethod
                  paymentType: card
                  default: null
                  isDefault: false
                  evaluated:
                    card:
                      displayType: categoryCard
                      width: fixed
                      color: primary
                      image:
                        url: /app-images/card.svg
                        altText: card image
                      type:
                        displayType: tag
                        key: Card
                        label: credit
                        value: Card
                        size: small
                        color: neutral
                      tag:
                        displayType: tag
                        label: ''
                        value: ''
                        size: small
                        color: success
                        visible: false
                      background: gray
                      variation: card
                      description:
                        exp: 10/2026
                      radio:
                        config:
                          initialize: true
                          events:
                            change: onSelectCardCheckout
                        id: card_pm_1Pngh3FqoVWwtVye7KmBryXG
                        name: card
                        key: pm_1Pngh3FqoVWwtVye7KmBryXG
                        type: radio
                        displayType: radio
                        options:
                          - value: pm_1Pngh3FqoVWwtVye7KmBryXG
                            key: card
                            name: card
                            checked: true
                      label: XXXX XXXX XXXX 4242
                      title: visa
                billingAddress:
                  streetAddress: 3007 Green Fields Dr
                  aptSuiteOther: null
                  city: Sugar Land
                  state: Texas
                  country: USA
                  zip: '77479'
                status: Upcoming
                reasonForVisiting: null
                typeOfCustomer: null
                visitType: Wellness Visit
                placeToVisit:
                  location:
                    streetAddress: 3007 Green Fields Dr
                    city: Sugar Land
                    state: Texas
                    country: USA
                    zip: '77479'
                    geoLocation:
                      lat: 29.5806213
                      lon: -95.6044853
                    neighborhood: Colony Bend
                    county: Fort Bend County
                    zipSuffix: '1808'
                  instruction: Don't ring bill
                  googleMap: >-
                    https://www.google.com/maps/search/?q=place_id:ChIJV2chZYDmQIYRi0gSvTUywcw
                appointmentStatus: Upcoming
                timezone: America/Chicago
                images: {}
                appointmentNo: EL70U4
                selectedClient:
                  id: ab7fc4ac-a83e-469e-af48-2905eae4db13
                  type: client
                  firstName: Donald
                  lastName: Burton
                  fullName: Donald Burton
                  email:
                    main: donald.burton0906@gmail.com
                  clientBookingType: Existing Client Appointment
                selectedPatient:
                  id: b5f83873-027b-47a1-88bd-e59f70e5b0e5
                  type: patientDog
                  species: Dog
                  patientName: Goldie Pup
                  patientBookingType: Existing Patient Appointment
              selectedVeterinarian:
                id: oyster_vet6
                type: vetSpecialist
                firstName: Laura
                lastName: Francis
                fullName: Dr. Laura Francis
              selectedPractice:
                id: oyster_creek_prac
                type: practice
                businessName: Oyster Creek Animal Hospital
              selectedPatient:
                id: b5f83873-027b-47a1-88bd-e59f70e5b0e5
                type: patientDog
                species: Dog
                patientName: Goldie Pup
                patientBookingType: Existing Patient Appointment
              paymentDetails:
                id: pm_1Pngh3FqoVWwtVye7KmBryXG
                billingDetails:
                  address:
                    streetAddress: ''
                    city: ''
                    state: ''
                    country: US
                    zip: '08536'
                  email: ''
                  name: ''
                  phone: ''
                card:
                  brand: visa
                  country: US
                  expMonth: 10
                  expYear: 2026
                  funding: credit
                  last4: '4242'
                created: 1723639969
                sysData: {}
                type: paymentMethod
                paymentType: card
                default: null
                isDefault: false
                evaluated:
                  card:
                    displayType: categoryCard
                    width: fixed
                    color: primary
                    image:
                      url: /app-images/card.svg
                      altText: card image
                    type:
                      displayType: tag
                      key: Card
                      label: credit
                      value: Card
                      size: small
                      color: neutral
                    tag:
                      displayType: tag
                      label: ''
                      value: ''
                      size: small
                      color: success
                      visible: false
                    background: gray
                    variation: card
                    description:
                      exp: 10/2026
                    radio:
                      config:
                        initialize: true
                        events:
                          change: onSelectCardCheckout
                      id: card_pm_1Pngh3FqoVWwtVye7KmBryXG
                      name: card
                      key: pm_1Pngh3FqoVWwtVye7KmBryXG
                      type: radio
                      displayType: radio
                      options:
                        - value: pm_1Pngh3FqoVWwtVye7KmBryXG
                          key: card
                          name: card
                          checked: true
                    label: XXXX XXXX XXXX 4242
                    title: visa
              selectedInvoice:
                id: 428c089f-fab7-497f-8e81-e0d629bfc5bf
                type: invoice
              cashier: '-'
              paidInTransaction: '0.00'
              amountRemaining: 98.8
              payment: '0.00'
              receiptNumber: JC45O1
              receiptDate: '2024-11-20'
              receiptTime: '01:27:22'
              type: receipt
              sysData:
                sysTenant: QeXPStfFG
                sysDomainType: receiptsrecord
                sysCreatedBy: auth0|638afc4306855960064b714a
                sysCreatedDate: '2024-11-19T19:57:23.145+00:00'
                sysModBy: auth0|638afc4306855960064b714a
                sysModDate: '2024-11-19T19:57:23.145+00:00'
                sysSubTenant: lmae92r-U
                sysLocale: en_US
              id: 6bbc6e78-4ba3-436d-b489-ef0eab39fc67
    Error:
      required:
        - status
        - message
      type: object
      properties:
        status:
          type: integer
          example: 400
        message:
          type: string
        code:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.